mumble (1.5.857-2) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.7.4 (no changes needed)
    - Remove build-depends on libzeroc-ice-dev while Ice is disabled
  * debian/mumble-server.install:
    - Comment out installing MumbleServer.ice while Ice is disabled
  * debian/mumble-server.doc-base:
    - Comment entire file while Ice is disabled
  * debian/mumble-server-docs:
    - Comment out Ice/ while Ice is disabled
  * debian/NEWS:
    - Add entry explaining removal of Ice support with links to online
      references to relevant details
  * debian/patches:
    - Add 96-fix-ftbfs-openssl4.diff to fix FTBFS with OpenSSL 4.0
      (Closes: #1138403)
  * debian/rules:
    - Add "Dice=OFF" to disable Ice support due to Bug#1136923 until a fix
      can be found for the FTBFS due to deprecation of SliceChecksumDict in
      src:zeroc-ice
    - Comment out slice2html call in override_dh_auto_build routine while
      Ice support is disabled

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 28 Jul 2026 17:07:23 -0400

mumble (1.5.857-1) unstable; urgency=medium

  * New stable upstream release: https://www.mumble.info/blog/mumble-1.5.857/
  * debian/patches:
    - Remove 15-update-mumble-manpage.diff: patch incorporated
    - Remove 50-fix-segfault-missing-pipewire-config.diff: patch incorporated
    - Update 90-debianize-systemd-unit.diff for minor upstream file changes
    - Remove 91-BUILD-overlay-Fix-building-with-GCC-15.patch: patch incorporated

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 19 Mar 2026 01:22:31 -0400

mumble (1.5.735-8) unstable; urgency=medium

  * debian/control:
    - Remove Priority field to conform to Policy § 5.6.6 as dpkg now defaults
      to Priority "optional"
    - Update Standards-Version to 4.7.3
  * debian/patches:
    - Update 95-opus-dos-security.diff to remove erroneous leading \ from
      the Description line. (Closes: #1129178)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 27 Feb 2026 11:35:35 -0500

mumble (1.5.735-7) unstable; urgency=medium

  * debian/patches:
    - Add 95-opus-dos-security.diff to fix crashes Opus buffer overruns
      leading to crashes (reported via private email, no related Debian bug)
  * debian/po:
    - Update sv.po 
      Thanks to Martin Bagge / brother <brother@persilja.net> and
                Anders Jonsson <anders.jonsson@norsjovallen.se> for
      translation updates (Closes: #1122573)
    - Add Catalan translation file ca.po
      Thanks to Carles Pina i Estany <carles@pina.cat> for the translation
      (Closes: #1107577, #1123936, #1126651, #1127339)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 26 Feb 2026 16:59:45 -0500

mumble (1.5.735-6) unstable; urgency=medium

  * Team upload

  [ Diederik de Haas ]
  * debian/patches: Add patch to fix building with GCC-15 (Closes: #1114216)

 -- Bastian Germann <bage@debian.org>  Tue, 16 Sep 2025 12:37:39 +0200

mumble (1.5.735-5) unstable; urgency=medium

  * debian/patches:
    - Add 50-fix-segfault-missing-pipewire-config.diff to fix Mumble Segfault
      when the PipeWire configuration is missing
      (Closes: #1091358, #1107868)
    - Update 90-debianize-systemd-unit.diff for Forwarding: not-needed

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 30 Jun 2025 20:19:46 -0400

mumble (1.5.735-4) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
  * debian/mumble.README.Debian:
    - Update to add guidance for Mumble client concerning notification settings
      (Closes: #1088608)
  * debian/patches:
    - Remove 35-add-dpkg-buildflags.diff as it can no longer be applied after
      build system switched to CMake
    - Add 15-update-mumble-manpage.diff to add two new RPC commands
      Forwarded upstream https://github.com/mumble-voip/mumble/issues/6802
      (Closes: #1103838)
      Thanks to Kevin Otte <nivex@nivex.net> for reporting the bug
    - Update 45-add-pid-location-hint.diff to for Forwarding: not-needed
  * debian/po:
    - Update pt.po (Closes: #1103466)
      Thanks to Américo Monteiro <a_monteiro@gmx.com> for the translation
    - Update pt_BR.po (Closes: 1103449)
      Thanks to Adriano Rafael Gomes <adrianorg@debian.org> for the translation
    - Update ro.po (Closes: #1101822)
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> for the
      translation

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 03 May 2025 17:07:10 -0400

mumble (1.5.735-3) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.7.1 (no changes needed)
  * debian/extras:
    - Update TODO concerning compiler flags
  * debian/patches:
    - Merge patches for avoiding building link plugin on armel into
      06-export-architecture-cmake.diff
  * debian/mumble.install:
    - Update usr/lib/* entry with ${DEB_HOST_MULTIARCH} subdirectories to avoid
      including mumble-server config files unintentionally included
      (Closes: #1093661, #1093661)
      Thanks to Daniel Lange <DLange@debian.org> for the bug report and fix
  * debian/patches:
    - Update 06-export-architecture-cmake.diff to mark Forwarded tag as
      not-needed to avoid Lintian warning
  * debian/po:
    - Update Spanish traslation file, thanks to Jathan <jathan@debian.org>
      (Closes: #1093718)
    - Update no.po Dutch translation file
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      (Closes: #1094156)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 24 Feb 2025 12:20:32 -0500

mumble (1.5.735-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * debian/po/de.po: Update German debconf translation
    (Closes: #1092740)

  [ Christopher Knadle ]
  * debian/control:
    - Add build-depends on systemd-dev for better fix for #1068504
  * debian/extras:
    - Rename sysv-init.README -> sysvinit.README
    - Update TODO to complete/remove items related to #1068504,
      Upate concerning planned build hardening to cmake/compiler.cmake
  * debian/mumble-server.examples:
    - Update for sysv-init.README -> sysvinit.README
  * debian/mumble-server.install:
    - Update to allow pkgconfig to auto-find source files related to systemd
  * debian/patches:
    - Add 06-export-architecture-cmake.diff to export the build architecture
    - Add 08-avoid-link-plugin-armel.diff to avoid link plugin on armel
    - Update 45-add-pid-location-hint.diff to add patch author email address
    - Update 90-debianize-systemd-unit.diff to remove invalid header line
  * debian/rules:
    - Add CMake option for bundled renamenoise
    - Add CMake option for use-pkgconf-install-paths to allow pkgconf to find
      source files related to systemd, improved fix #1068504
    - Add variable to get mumble BUILD_NUMBER from Debian changelog
    - Add CMake Debian hardening variables

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 19 Jan 2025 14:11:21 -0500

mumble (1.5.735-1) unstable; urgency=medium

  [ Diederik de Haas ]
  * New upstream release: https://www.mumble.info/blog/mumble-1.5.735/
  * New upstream release 1.5.735
    - debian/patches: Drop patches applied upstream
    - debian/rules: Update build number
    (Closes: #1089246)
  * debian/rules: Stop parsing d/changelog
  * debian/rules: Remove unused MAKEFILE and SOURCE_DIR variables
  * debian/rules: Sort configure params alphabetically
  * debian/rules: Switch to system libraries
  * debian/po/templates.pot: Several style fixes
  * debian/control: Update package description for Mumble server
  * debian/control: Drop debhelper Build-Depends
  * debian/upstream/signing-key.asc: update to upstream's 2024 key
  * debian/watch: Reformat watch file
  * debian/mumble-server.install: Update file locations
  * debian: Add systemd-tmpfiles support for Mumble Server
  * debian/copyright: Update for rnnoise-src -> renamenoise change

  [ Christopher Knadle ]
  * debian/extras:
    - Add mumble-server.postinst which references /etc/default/mumble-server
      for use with the non-default init script
    - Add sysv-init.README to document that these files are for running
      mumble-server with a non-default init system
    - Update TODO file on attempted sysuers file location work
  * debian/patches:
    - Update 90-debianize-systemd-unit.diff for line offset fuzz
  * debian/mumble-server.examples:
    - Add mumble-server.postinst that references /etc/default/mumble-server
    - Add sysv-init.README for information on files to use with alternate init
  * debian/mumble-server.install:
    - Update build file move from etc/sysconfig.d to etc/sysusers.d
  * debian/mumble-server.postinst:
    - Remove /etc/default/mumble-server references that systemd does not use
  * debian/mumble-server.README.Debian:
    - Summarize use of example files for starting mumble-server with an
      alternate init system
    
 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 08 Jan 2025 17:09:49 -0500

mumble (1.5.517-3) unstable; urgency=medium

  * debian/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
  * debian/mumble-server.install:
    - Move mumble-server.conf etc/sysconfig.d/ file to /usr/lib/sysuers.d/
      (Closes: #1068504)
  * debian/mumble-server.preinst:
    - Remove file, mv_conffile in mumble-server.mainscript replaces this task
      (Closes: #1091798)
  * debian/patches:
    - Update 90-debianize-systemd-unit.diff to remove dupe name in email
    - Update 95-fix-reproducibility.diff to fix email address
    - Add 96-wrapper-fix-bin-path.diff to fix mumble-server binary location
      (Closes: #1082641)
  * debian/po:
    - Add ro.po Romanian translation file
      (Closes: #1032807)
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> for the
      translation
  * debian/rules:
    - Remove commented init script section
  * debian/tests/control:
    - Add comments for what the 'smoke' test is for
    - Remove 'superficial' tag on 'smoke' test

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 01 Jan 2025 17:42:42 -0500

mumble (1.5.517-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mumble-server.service into /usr (DEP17). (Closes: #1073741)
  * Update Build-Depends: pkg-config => pkgconf.

  [ Christopher Knadle ]
  * debian/mumble-server.maintscript: move /etc/mumble-server.ini conffile.
    (Closes: #1071058)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 16 Nov 2024 16:11:40 +0100

mumble (1.5.517-2) unstable; urgency=medium

  [ Diederik de Haas ]
  * debian/tests/control:
    - Add xauth as a binary dependency
      (Closes: #1063711)
  * debian/tests/smoke:
    - Add missing closing ')' to SERVER_VERSION
    - Create Mumble dir in $HOME for 'mumble --version' to remove extra output

  [ Chris Lamb ]
  * debian/patches:
    - Add 95-fix-reproducibility.diff: set a timezone, otherwise the date
      could vary based on the timezone of the build server
      (Closes: #1060254)

  [ Christopher Knadle ]
  * debian/patches:
    - Fix email typo in 90-debianize-systemd-unit.diff
  * debian/tests/control:
    - Add "superficial" restriction as the 'smoke' test doesn't test mumble
      to a great extent.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 06 Apr 2024 00:56:38 -0400

mumble (1.5.517-1) unstable; urgency=medium

  [ Sven Hartge ]
  * debian/patches:
    - Add 90-debianize-systemd-unit.diff to get systemd service file working
      (Closes: #1039271)
  * Update files under debian/ for renaming murmurd -> mumble-server:
    - mumble-server.README.Debian
    - mumble-server.postinst
    - mumble-server.templates
    - po/cs.po
    - po/da.po
    - po/de.po
    - po/es.po
    - po/eu.po
    - po/fi.po
    - po/fr.po
    - po/gl.po
    - po/hu.po
    - po/it.po
    - po/ja.po
    - po/nb.po
    - po/nl.po
    - po/pt.po
    - po/pt_BR.po
    - po/ru.po
    - po/sv.po
    - po/templates.pot
    - po/vi.po
  * Fix permissions for /etc/mumble on upgrade and new installation; updates:
    - mumble-server.postinst
    - mumble-server.preinst

  [ Christopher Knadle ]
  * New upstream release candidate snapshot from 2023-01-21
    https://www.mumble.info/blog/mumble-1.5.517-rc/
    (Several attempts to release 1.4.x were made but did not work out)
    (Closes: #1017780)
  * debian/compat:
    - File removed; debhelper compatibility set via debhelper-compat
  * debian/control:
    - Update dependencies for 1.5.x release
    - Set debhelper compatibility via debhelper-compat
    - Change Maintainer field to the Debian VoIP Team
    - Add Rules-Requires-Root: no to allow building as non-root
    - Update Standards-Version to 4.6.2 (no changes needed)
  * debian/copyright:
    - Update for 3rdparty license changes in 1.5.x
  * debian/mumble.docs:
    - Update for files available in release
  * debian/mumble.lintian-overrides:
    - Remove all overrides, none seem to apply
  * debian/mumble-server.docs:
    - Update for new file locations
  * debian/mumble-server.doc-base:
    - Update for new file locations
  * debian/mumble.install:
    - Update for file location changes and removal of .protocol file
  * debian/mumble-server.install:
    - Update for new file locations
  * debian/mumble.manpages:
    - Update for new build file locations
  * debian/mumble-server.manpages:
    - Update for new build file locations
  * debian/mumble-server.postinst:
    - Update for configuration file move from /etc to /etc/mumble
  * debian/mumble.README.Debian:
    - Add new README to help introduce the Mumble client, hints for testing
      setups,and to give some instructions on using Mumble over Tor
  * debian/mumble-server.README.Debian:
    - Update README for important new changes with 1.5.517
    - Add new section describing how to set up a Tor Onion Service for
      mumble-server to allow running a mumble service over Tor
  * debian/NEWS:
    - Add entry to warn users of dropping of all codecs other than OPUS and
      links to a summary of changes and chat window scrolling issue on Linux
    - Notify that README.Debian files now have documentation for using mumble
      and mumble-server over Tor.
  * debian/patches:
    - Remove 06-lsb-lower-dbus-dependency.diff; patch incorporated into init
      script shipped as examples for users using alternate init systems
    - Remove 07-use-embedded-celt-baseline.diff: obsolete, CELT support removed
    - Update 12-disable-ice-by-default.diff for new config file location
    - Remove 25-make-logfiles-readable-by-adm.diff; patch incorporated into
      shipped logrotate example in examples for users of alternate init systems
    - Remove 44-add-speechd-header.diff; obsolete, file patch points to removed
    - Add 45-add-pid-location-hint.diff patch to suggest a pidfile location
      in mumble-server.ini for when using an alternate init system and an
      init script
    - Remove 46-var-run-to-run.diff: obsolete patch and incorporated into
      shipped example files
    - Remove 52-use-update-rc.d-for-disable.diff; obsolete patch, incorporated
      into shipped example init script
    - Remove 54-fix-mysql-start.diff; obsolete patch, incorporated into shipped
      example init script
    - Remove 55-openssl-3.0-compat.patch; obsolete patch
  * debian/rules:
    - Strip LDFLAGS for options that would break mumble_overlay
    - Switch to building with cmake
    - Added cmake options for building Mumble release on Debian
    - Removed section installing CHANGES file (file removed from release)
    - Build Ice HTML files based on MumbleServer.ice in new location
  * debian/source/lintian-overrides:
    - Remove override source-is-missing for removed html file
  * debian/upstream/signing-key.asc:
    - Update to Mumble 2023 build infrastructure key
  * debian/tests:
    - Add autopkgtest 'smoke' test to execute mumble and mumble-server and
      get text output of version
  * debian/watch:
    - Update to upstream snapshot directory so uscan can find 1.5.517 tarball

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 02 Jan 2024 23:13:08 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mumble`.
